Bug 160525 - [patch update] databases/freetds-devel from 0.82.x to 0.91
Summary: [patch update] databases/freetds-devel from 0.82.x to 0.91
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-06 20:20 UTC by Kurt Jaeger
Modified: 2011-09-09 08:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (8.59 KB, patch)
2011-09-06 20:20 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2011-09-06 20:20:03 UTC
	[patch update] freetds-devel from 0.82.x to 0.91

How-To-Repeat: 	-
Comment 1 Frederic Culot freebsd_committer 2011-09-07 06:13:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 Frederic Culot freebsd_committer 2011-09-07 13:14:38 UTC
Hi Kurt,

thanks for this update however I noted two problems:

1) PORTEPOCH should not be removed
2) include/odbcss.h seems to get installed even when IODBC or UNIXODBC
are not chosen as shown on the following tinderbox log:

http://people.freebsd.org/~culot/tinderbox/8.2-FreeBSD/freetds-devel-0.91%2c1.log

Could you please have a look at the above issues?

Thanks!
Frederic
Comment 3 Kurt Jaeger 2011-09-07 15:32:59 UTC
Hi!

> thanks for this update however I noted two problems:
> 
> 1) PORTEPOCH should not be removed
> 2) include/odbcss.h seems to get installed even when IODBC or UNIXODBC
> are not chosen as shown on the following tinderbox log:
> 
> http://people.freebsd.org/~culot/tinderbox/8.2-FreeBSD/freetds-devel-0.91%2c1.log
> 
> Could you please have a look at the above issues?

Done, see below.

diff -r -u databases/freetds-devel/Makefile /usr/home/pi/myp/databases/freetds-devel/Makefile
--- databases/freetds-devel/Makefile	2011-08-23 23:25:23.000000000 +0200
+++ /usr/home/pi/myp/databases/freetds-devel/Makefile	2011-09-07 16:31:12.000000000 +0200
@@ -5,20 +5,17 @@
 # $FreeBSD: ports/databases/freetds-devel/Makefile,v 1.68 2011/08/23 06:46:44 culot Exp $
 
 PORTNAME=	freetds
-PORTVERSION=	0.82.1
-PORTREVISION=	6
+PORTVERSION=	0.91
 PORTEPOCH=	1
 CATEGORIES=	databases
 MASTER_SITES=	${MASTER_SITE_SUNSITE}
 MASTER_SITE_SUBDIR=	ALPHA/${PORTNAME}/stable
 PKGNAMESUFFIX=	-devel
-DISTNAME=	freetds-patched
-EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	Sybase/Microsoft TDS protocol library
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}.dev.20110409
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 TDS_VER?=	5.0
 USE_ICONV=	yes
 USE_GMAKE=	yes
@@ -79,7 +76,7 @@
 # relies on sybase-style dblib
 .if defined(WITH_MSDBLIB)
 CONFIGURE_ARGS+=	--enable-msdblib
-TDS_VER=	7.0
+TDS_VER=	7.2
 .endif
 
 post-extract:
@@ -100,7 +97,8 @@
 post-install:
 .if !defined(NOPORTDOCS)
 	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} images ${DOCSDIR}
-	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} doc ${DOCSDIR}
+	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} doc/${PORTNAME}-${PORTVERSION}/reference ${DOCSDIR}
+	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} doc/${PORTNAME}-${PORTVERSION}/userguide ${DOCSDIR}
 .endif
 	@${MKDIR} ${PREFIX}/etc/freetds
 	@${INSTALL_DATA} ${WRKSRC}/interfaces ${PREFIX}/etc/freetds/interfaces.dist
diff -r -u databases/freetds-devel/distinfo /usr/home/pi/myp/databases/freetds-devel/distinfo
--- databases/freetds-devel/distinfo	2011-08-23 23:25:23.000000000 +0200
+++ /usr/home/pi/myp/databases/freetds-devel/distinfo	2011-09-06 20:42:59.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (freetds-patched.tgz) = 1141c84f8629f5a20bb729850b01fa66b1f43bf7b41907518a13107d7cdcb8a7
-SIZE (freetds-patched.tgz) = 2020672
+SHA256 (freetds-0.91.tar.gz) = 6a8148bd803aebceac6862b0dead1c5d9659f7e1038993abfe0ce8febb322465
+SIZE (freetds-0.91.tar.gz) = 2136329
diff -r -u databases/freetds-devel/files/patch-doc_Makefile.in /usr/home/pi/myp/databases/freetds-devel/files/patch-doc_Makefile.in
--- databases/freetds-devel/files/patch-doc_Makefile.in	2011-08-23 23:25:23.000000000 +0200
+++ /usr/home/pi/myp/databases/freetds-devel/files/patch-doc_Makefile.in	2011-09-06 20:54:42.000000000 +0200
@@ -1,113 +1,47 @@
---- doc/Makefile.in.orig	2011-04-09 08:17:20.000000000 +0000
-+++ doc/Makefile.in	2011-08-22 17:21:49.000000000 +0000
-@@ -400,29 +400,29 @@
- 	test -z "$$files" || { \
- 	  echo " ( cd '$(DESTDIR)$(man5dir)' && rm -f" $$files ")"; \
- 	  cd "$(DESTDIR)$(man5dir)" && rm -f $$files; }
--install-nobase_dataDATA: $(nobase_data_DATA)
--	@$(NORMAL_INSTALL)
--	test -z "$(datadir)" || $(MKDIR_P) "$(DESTDIR)$(datadir)"
--	@list='$(nobase_data_DATA)'; test -n "$(datadir)" || list=; \
--	$(am__nobase_list) | while read dir files; do \
--	  xfiles=; for file in $$files; do \
--	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
--	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
--	  test -z "$$xfiles" || { \
--	    test "x$$dir" = x. || { \
--	      echo "$(MKDIR_P) '$(DESTDIR)$(datadir)/$$dir'"; \
--	      $(MKDIR_P) "$(DESTDIR)$(datadir)/$$dir"; }; \
--	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(datadir)/$$dir'"; \
--	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(datadir)/$$dir" || exit $$?; }; \
--	done
--
--uninstall-nobase_dataDATA:
--	@$(NORMAL_UNINSTALL)
--	@list='$(nobase_data_DATA)'; test -n "$(datadir)" || list=; \
--	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
--	test -n "$$files" || exit 0; \
--	echo " ( cd '$(DESTDIR)$(datadir)' && rm -f" $$files ")"; \
--	cd "$(DESTDIR)$(datadir)" && rm -f $$files
-+#install-nobase_dataDATA: $(nobase_data_DATA)
-+#	@$(NORMAL_INSTALL)
-+#	test -z "$(datadir)" || $(MKDIR_P) "$(DESTDIR)$(datadir)"
-+#	@list='$(nobase_data_DATA)'; test -n "$(datadir)" || list=; \
-+#	$(am__nobase_list) | while read dir files; do \
-+#	  xfiles=; for file in $$files; do \
-+#	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
-+#	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
-+#	  test -z "$$xfiles" || { \
-+#	    test "x$$dir" = x. || { \
-+#	      echo "$(MKDIR_P) '$(DESTDIR)$(datadir)/$$dir'"; \
-+#	      $(MKDIR_P) "$(DESTDIR)$(datadir)/$$dir"; }; \
-+#	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(datadir)/$$dir'"; \
-+#	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(datadir)/$$dir" || exit $$?; }; \
-+#	done
-+
-+#uninstall-nobase_dataDATA:
-+#	@$(NORMAL_UNINSTALL)
-+#	@list='$(nobase_data_DATA)'; test -n "$(datadir)" || list=; \
-+#	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
-+#	test -n "$$files" || exit 0; \
-+#	echo " ( cd '$(DESTDIR)$(datadir)' && rm -f" $$files ")"; \
-+#	cd "$(DESTDIR)$(datadir)" && rm -f $$files
- tags: TAGS
- TAGS:
- 
-@@ -522,8 +522,7 @@
+--- doc/Makefile.in.orig	2011-09-06 20:44:07.000000000 +0200
++++ doc/Makefile.in	2011-09-06 20:54:10.000000000 +0200
+@@ -507,7 +507,7 @@
  
  info-am:
  
--install-data-am: install-data-local install-man \
--	install-nobase_dataDATA
+-install-data-am: install-data-local install-man
 +install-data-am: install-man
  
  install-dvi: install-dvi-am
  
-@@ -535,7 +534,7 @@
- 
- install-html-am:
- 
--install-info: install-info-am
-+#install-info: install-info-am
- 
- install-info-am:
- 
-@@ -567,7 +566,7 @@
- 
- ps-am:
- 
--uninstall-am: uninstall-local uninstall-man uninstall-nobase_dataDATA
-+#uninstall-am: uninstall-local uninstall-man uninstall-nobase_dataDATA
- 
- uninstall-man: uninstall-man1 uninstall-man5
- 
-@@ -588,21 +587,21 @@
- 	uninstall-man1 uninstall-man5 uninstall-nobase_dataDATA
- 
- 
--$(DOCDIR)/userguide: $(DOCDIR)/userguide/index.htm
-+#$(DOCDIR)/userguide: $(DOCDIR)/userguide/index.htm
- 
--$(DOCDIR)/reference: $(DOCDIR)/reference/index.html
-+#$(DOCDIR)/reference: $(DOCDIR)/reference/index.html
- 
--doc:  $(DOCDIR)/userguide $(DOCDIR)/reference
-+#doc:  $(DOCDIR)/userguide $(DOCDIR)/reference
- 
- dist:	man
- 
- man:	$(man_MANS)
- 
--installdirs: 
--	$(mkinstalldirs)	$(TARGET_DOCDIR)/userguide    \
--				$(TARGET_DOCDIR)/reference    \
--				$(TARGET_DOCDIR)/images       \
--				$(TARGET_DOCDIR)/images/callouts 2>&1
-+#installdirs: 
-+#	$(mkinstalldirs)	$(TARGET_DOCDIR)/userguide    \
-+#				$(TARGET_DOCDIR)/reference    \
-+#				$(TARGET_DOCDIR)/images       \
-+#				$(TARGET_DOCDIR)/images/callouts 2>&1
+@@ -561,7 +561,7 @@
+ 	clean-local dist-hook distclean distclean-generic \
+ 	distclean-libtool distdir dvi dvi-am html html-am info info-am \
+ 	install install-am install-data install-data-am \
+-	install-data-local install-dvi install-dvi-am install-exec \
++	install-dvi install-dvi-am install-exec \
+ 	install-exec-am install-html install-html-am install-info \
+ 	install-info-am install-man install-man1 install-man5 \
+ 	install-pdf install-pdf-am install-ps install-ps-am \
+@@ -641,16 +641,16 @@
+ 
+ # If we built the documentation ourselves, install that, 
+ # else if we have access to distributed documentation, install that.  
+-install-data-local: installdirs $(noinst_DATA)
+-	$(mkinstalldirs) $(DOCDIR) 2>&1
+-	if test -r $(DOCDIR)/userguide ; then d=.; else d="$(srcdir)"; fi; \
+-	find $$d/$(DOCDIR)/userguide \( -type f -o -type l \) -exec \
+-		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/userguide ';'
+-	if test -r $(DOCDIR)/reference ; then d=.; else d="$(srcdir)"; fi; \
+-	find $$d/$(DOCDIR)/reference \( -type f -o -type l \) -exec \
+-		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/reference ';'
+-	cd $(srcdir) && find images -name \*.gif -exec \
+-		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/{} ';'
++#install-data-local: installdirs $(noinst_DATA)
++#	$(mkinstalldirs) $(DOCDIR) 2>&1
++#	if test -r $(DOCDIR)/userguide ; then d=.; else d="$(srcdir)"; fi; \
++#	find $$d/$(DOCDIR)/userguide \( -type f -o -type l \) -exec \
++#		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/userguide ';'
++#	if test -r $(DOCDIR)/reference ; then d=.; else d="$(srcdir)"; fi; \
++#	find $$d/$(DOCDIR)/reference \( -type f -o -type l \) -exec \
++#		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/reference ';'
++#	cd $(srcdir) && find images -name \*.gif -exec \
++#		$(INSTALL_DATA) {} $(TARGET_DOCDIR)/{} ';'
  
- freebcp.1: freebcp.txt
- 	$(TXT2MAN) $(MANOPTS) $(srcdir)/freebcp.txt >.$@
+ uninstall-local:
+ 	rm -rf $(TARGET_DOCDIR)
diff -r -u databases/freetds-devel/pkg-plist /usr/home/pi/myp/databases/freetds-devel/pkg-plist
--- databases/freetds-devel/pkg-plist	2011-08-23 23:25:23.000000000 +0200
+++ /usr/home/pi/myp/databases/freetds-devel/pkg-plist	2011-09-07 16:30:52.000000000 +0200
@@ -20,6 +20,7 @@
 include/syberror.h
 include/sybfront.h
 include/tds_sysdep_public.h
+include/odbcss.h
 lib/libct.a
 lib/libct.la
 lib/libct.so
@@ -32,4 +33,5 @@
 %%ODBC%%lib/libtdsodbc.so
 %%ODBC%%lib/libtdsodbc.la
 %%ODBC%%lib/libtdsodbc.a
+%%ODBC%%bin/bsqlodbc
 @dirrm etc/freetds

-- 
pi@opsec.eu            +49 171 3101372                         9 years to go !
Comment 4 dfilter service freebsd_committer 2011-09-09 07:50:40 UTC
culot       2011-09-09 06:50:26 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds-devel Makefile distinfo pkg-plist 
    databases/freetds-devel/files patch-doc_Makefile.in 
  Log:
  - Update to 0.91
  
  PR:             ports/160525
  Submitted by:   Kurt Jaeger <fbsd-ports@opsec.eu> (maintainer)
  
  Revision  Changes    Path
  1.69      +5 -7      ports/databases/freetds-devel/Makefile
  1.23      +2 -2      ports/databases/freetds-devel/distinfo
  1.5       +39 -105   ports/databases/freetds-devel/files/patch-doc_Makefile.in
  1.24      +2 -0      ports/databases/freetds-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Frederic Culot freebsd_committer 2011-09-09 07:51:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!